Package org.jCharts.nonAxisChart

# Class PieChart2D

java.lang.Object
org.jCharts.Chart
org.jCharts.nonAxisChart.PieChart2D

All Implemented Interfaces:
  `Serializable`, `HTMLChartTestable`

public final class PieChart2D extends Chart implements HTMLChartTestable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private float`
`diameter`
`private IPieChartDataSet`
`iPieChartDataSet`
`private PieChartDataProcessor`
`pieChartDataProcessor`
`private float`
`pieX`
`private float`
`pieY`
`private TextTagGroup`
`textTagGroup`

## Constructor Summary

Constructors
Constructor
Description
`PieChart2D(IPieChartDataSet iPieChartDataSet, LegendProperties legendProperties, ChartProperties chartProperties, int pixelWidth, int pixelHeight)`
Constructor

## Method Summary

Modifier and Type
Method
Description
`(package private) static void`
`render(PieChart2D pieChart2D)`
Implement the method to render the Chart.
`protected void`
`renderChart()`
Draws the chart
`void`
`toHTML(HTMLGenerator htmlGenerator, String imageFileName)`
Enables the testing routines to display the contents of this Object.

### Methods inherited from class org.jCharts.Chart

`getBufferedImage, getChartProperties, getGenerateImageMapFlag, getGraphics2D, getImageHeight, getImageMap, getImageWidth, getLegend, hasLegend, render, renderChartTitle, renderWithImageMap, setGraphics2D, setImageMap, toHTML`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jCharts.test.HTMLChartTestable

`toHTML`

## Field Details

### pieX

private float pieX

### pieY

private float pieY

### diameter

private float diameter

### iPieChartDataSet

private IPieChartDataSet iPieChartDataSet

### pieChartDataProcessor

private PieChartDataProcessor pieChartDataProcessor

### textTagGroup

private TextTagGroup textTagGroup

## Constructor Details

### PieChart2D

public PieChart2D(IPieChartDataSet iPieChartDataSet, LegendProperties legendProperties, ChartProperties chartProperties, int pixelWidth, int pixelHeight)
Constructor

Parameters:
  `iPieChartDataSet` -
  `legendProperties` -
  `chartProperties` - general chart properties
  `pixelWidth` -
  `pixelHeight` -

## Method Details

### renderChart

protected void renderChart()
Draws the chart

Specified by:
  `renderChart` in class `Chart`

### render

static void render(PieChart2D pieChart2D)
Implement the method to render the Chart.

Parameters:
  `pieChart2D` -

### toHTML

public void toHTML(HTMLGenerator htmlGenerator, String imageFileName)
Enables the testing routines to display the contents of this Object. Override Chart implementation as PieCharts use AreaProperties directly rather than a child.

Parameters:
  `htmlGenerator` -
  `imageFileName` -